### Constructor

# Clutter LayerNode new

#### Declaration [src]

    ClutterPaintNode*
    clutter_layer_node_new (
      const graphene_matrix_t* projection,
      const cairo_rectangle_t* viewport,
      float width,
      float height,
      guint8 opacity
    )

#### Description

No description available.

#### Parameters

`projection`

  Type: `graphene_matrix_t`

  No description available.

  The data is owned by the caller of the function.

`viewport`

  Type: `cairo_rectangle_t`

  No description available.

  The data is owned by the caller of the function.

`width`

  Type: `float`

  No description available.

`height`

  Type: `float`

  No description available.

`opacity`

  Type: `guint8`

  No description available.

#### Return value

Type: `ClutterPaintNode`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.